textures/planetinterceptor/sky

{
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    skyParms env/stars 512 -

}

textures/planetinterceptor/core_mult4
{
    q3map_surfacelight 612
    surfaceparm nolightmap
    {
        map textures/planetinterceptor/core_energy4.tga
        tcMod scale 0.35 0.14
        tcMod scroll -0.4 0.9
    }
    {
        map textures/planetinterceptor/core_energy4.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.25 0.13
        tcMod scroll 0.75 -0.15
    }
    {
        map textures/planetinterceptor/core_mult4.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.23 0.12
        tcMod scroll 0.4 -0.85
    }
    {
        map textures/planetinterceptor/core_mult4.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.15 0.3
        tcMod scroll -0.8 -0.6
    }
}

textures/planetinterceptor/backglass1

{

    q3map_surfacelight 612

    surfaceparm nolightmap

    {

        map textures/planetinterceptor/backglass1.tga

    }

    {

        map textures/planetinterceptor/panelmult.tga

        blendFunc GL_DST_COLOR GL_ZERO

        tcMod scale 1 0.25

        tcMod scroll 0.02 0.15

    }

}



textures/planetinterceptor/transpad

{

    surfaceparm nolightmap
    portal

    {

        map textures/planetinterceptor/transpad.tga

        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR

        depthWrite

    }

    {

        map textures/planetinterceptor/transpad.tga

        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

    }

}

textures/planetinterceptor/ba_on
{
    qer_editorimage textures/planetinterceptor/b_a.tga
    {
        map textures/engineering/glass1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/planetinterceptor/b_a.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/planetinterceptor/ra_on
{
    qer_editorimage textures/planetinterceptor/r_a.tga
    {
        map textures/engineering/glass1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/planetinterceptor/r_a.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/planetinterceptor/ya_on
{
    qer_editorimage textures/planetinterceptor/y_a.tga
    {
        map textures/engineering/glass1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/planetinterceptor/y_a.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/planetinterceptor/a_off
{
    qer_editorimage textures/planetinterceptor/black.tga
    {
        map textures/engineering/glass1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/planetinterceptor/black.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/planetinterceptor/biopak

{ 
    qer_editorimage textures/voyager/biopak.tga
    {

        map $lightmap

    }

    {

        map textures/voyager/biopak.tga

        blendFunc GL_DST_COLOR GL_ZERO

    }

    {

        map textures/voyager/biopakglow.tga

        blendFunc GL_ONE GL_ONE

        rgbGen wave sin 0 0.4 1 0.2

    }

}



textures/planetinterceptor/lcars_status
{
    qer_editorimage textures/planetinterceptor/lcars_base.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/planetinterceptor/lcars_base.tga
    }
    {
        map textures/planetinterceptor/lcars_grid.tga
        rgbGen wave sin 0.6 1.0 0 0.54
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 0.1 textures/planetinterceptor/lcars_pic0.tga textures/planetinterceptor/lcars_pic1.tga    
     blendFunc GL_ONE GL_ONE
    }
    {
        animMap 1.00 textures/planetinterceptor/lcars_text0.tga textures/planetinterceptor/lcars_text1.tga textures/planetinterceptor/lcars_text2.tga textures/planetinterceptor/lcars_text3.tga textures/planetinterceptor/lcars_text4.tga textures/planetinterceptor/lcars_text5.tga textures/planetinterceptor/lcars_text6.tga textures/planetinterceptor/lcars_text7.tga textures/planetinterceptor/black.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/planetinterceptor/lcars_g-overview
{
    qer_editorimage textures/planetinterceptor/g-overview.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/planetinterceptor/g-overview.tga
    }
    {
        map textures/planetinterceptor/g-overview1.tga
        rgbGen wave sin 0.2 0.1 0 0.4
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/planetinterceptor/warp
{
    qer_editorimage textures/planetinterceptor/warpstars.tga
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull disable
    {
        map textures/planetinterceptor/warpstars.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 1.0
    }
}

textures/planetinterceptor/impulse
{
    qer_editorimage textures/planetinterceptor/background.tga
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    {
        map textures/planetinterceptor/background.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 0.022
    }
    	
}

textures/planetinterceptor/planet
{
    qer_editorimage planetinterceptor/planet_ft.tga
    q3map_lightimage planetinterceptor/planet_ft.tga
    q3map_surfacelight 50
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 100 315 30
    skyParms textures/planetinterceptor/planet - -
}

textures/planetinterceptor/comm
{
    qer_editorimage textures/planetinterceptor/transmission.tga
    surfaceparm nolightmap
    surfaceparm nomarks

    {
        map textures/planetinterceptor/transmission.tga
    }
    {
        map textures/planetinterceptor/transmission.tga
        rgbGen wave sin 0.3 0.3 0 0.3
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}